Skip to main content
GET
/
memory
/
v1
List memories
curl --request GET \
  --url https://api.case.dev/memory/v1 \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "memory": "<string>",
      "tags": {},
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Query Parameters

tag_1
string

Filter by tag_1

tag_2
string

Filter by tag_2

tag_3
string

Filter by tag_3

tag_4
string

Filter by tag_4

tag_5
string

Filter by tag_5

tag_6
string

Filter by tag_6

tag_7
string

Filter by tag_7

tag_8
string

Filter by tag_8

tag_9
string

Filter by tag_9

tag_10
string

Filter by tag_10

tag_11
string

Filter by tag_11

tag_12
string

Filter by tag_12

category
string

Filter by category

limit
integer
default:50

Number of results

offset
integer
default:0

Pagination offset

Response

List of memories

results
object[]
count
integer

Total count matching filters